/*
Theme Name: Twenty Twenty-Five Child
Template: twentytwentyfive
Author: Full Circle
Author URI: https://thinkfullcircle.com
Version: 1.0
*/

html {
  scroll-behavior: smooth;
}

.wp-block-navigation a:focus, footer a:focus {
  outline: none;
}

.wp-block-navigation a:focus-visible, footer a:focus-visible {
  outline: 2px solid var(--wp--preset--color--yellow); /* or your brand color */
  outline-offset: 2px;
}

footer a {
    text-decoration: none;
}

.yellow {
    color:var(--wp--preset--color--yellow);
}

.green {
    color:var(--wp--preset--color--green);
    font-family: var(--wp--preset--font-family--bebas-neue);
    font-size:22px;
}


/*
----- Gravity Form -----
*/
.gf-modal {
    position: fixed;
    max-width: unset;
    inset: 0;
    z-index: 9999;
    display: none;
}

.gf-modal.is-open {
    display: block;
}

.gf-modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.6);
}

.gf-modal-content {
    position: relative;
    max-width: 640px;
    max-height: 90vh;
    margin: 5vh auto;
    background: var(--wp--preset--color--light-green);
    padding: 2rem;
    border-radius: 6px;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.gf-modal-close {
    position: absolute;
    top: 10px;
    right: 12px;
    font-size: 2rem;
    background: none;
    border: none;
    cursor: pointer;
    color:var(--wp--preset--color--green);
}

.gform_wrapper {
    max-width:100%;
    width:100%;
}
.gform_wrapper .gform_heading {
    text-align: right;
    margin:0;
}
.gform_wrapper .gform_heading p {
    color:var(--wp--preset--color--green);
}
.gform_wrapper .name_first, .gform_wrapper .name_last {
    padding-right:0px;
}

.gform_wrapper .gfield_label {
    text-transform: uppercase;
    color: var(--wp--preset--color--green);
    font-family: var(--wp--preset--font-family--bebas-neue);
    font-size: var(--wp--preset--font-size--regular);
    letter-spacing: .05rem;
    line-height: 1.3;
    margin-bottom:0!important;
}

.gform_wrapper input {
    border:none;
    border-radius: 3px;
    background:rgba(255, 255, 255, .35);
    outline-color: var(--wp--preset--color--green);
    accent-color: var(--wp--preset--color--green);
}

.gform_wrapper .ginput_complex {
    gap:15px;
}

.gform_wrapper .ginput_complex fieldset, .gform_wrapper .ginput_complex span {
    padding:0 !important;
    margin-top:2px;
}

.gform_wrapper .gform_footer {
    justify-content: center;
    padding:0 !important;
    margin-bottom:24px;
}

.wp-block-post-excerpt__more-text {
    margin-top:0;
}

.gform_wrapper .gform_footer input.button, .wp-block-post-excerpt__more-text a {
    cursor:pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: 18px;
    line-height: 18px;
    text-decoration: none;
    background-color: var(--wp--preset--color--green)!important;
    color: var(--wp--preset--color--white);
    font-weight: 500;
    text-transform: uppercase!important;
    padding:10px 20px;
    margin-top:33px;
    transition: all 0.25s;
    border:1px solid #FFF;
    border-radius: 0px!important;
}

.gform_wrapper .gform_footer input.button:hover, .wp-block-post-excerpt__more-text a:hover {
    background-color: var(--wp--preset--color--white)!important;
    border:1px solid var(--wp--preset--color--green)!important;
    color: var(--wp--preset--color--green)!important;
}
.gform_wrapper .gfield_required {
    font-family: 18px!important;
}
.gform_wrapper p.gform_required_legend {
    font-size: 12px;
}

/*
----- misc -----
*/

@media (max-width: 1105px) {
   
}
@media (max-width: 781px) {
  .wp-block-cover {
    align-items: flex-end;
  }
}
@media (max-width: 700px) {
    
}
@media (max-width: 480px) {

}